#----------------------------------------------------------------------------

%define major		3
%define api		    2.0
%define libname		%mklibname plist %{api} %{major}
%define libnamedev	%mklibname plist -d
%define libnamecxx	%mklibname plist++ %{api} %{major}
%define libnamecxxdev	%mklibname plist++ -d

#----------------------------------------------------------------------------

Name:		libplist
Version:	2.2.0
Release:	%mkrel 5
Summary:	Library for manipulating Apple Binary and XML Property Lists
Group:		System/Libraries
License:	LGPLv2+
URL:		http://www.libimobiledevice.org/
Source0:	http://www.libimobiledevice.org/downloads/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	gcc-c++
BuildRequires:	libtool
BuildRequires:	make
BuildRequires:	automake
BuildRequires:	autoconf
Provides:	plistutil = %{version}

%description
libplist is a library for manipulating Apple Binary and XML Property Lists.

#----------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Library for manipulating Apple Binary and XML Property Lists
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

Obsoletes: lib64plist3
Provides:  lib64plist3 = %{version}-%{release}

%description -n %{libname}
libplist is a library for manipulating Apple Binary and XML Property Lists.

#----------------------------------------------------------------------------

%package -n	%{libnamedev}
Summary:	Development package for libplist
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
%{name}, development headers and libraries.

#----------------------------------------------------------------------------

%package -n	%{libnamecxx}
Summary:	C++ binding for libplist
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libnamecxx}
C++ bindings for %{name}.

#----------------------------------------------------------------------------

%package -n	%{libnamecxxdev}
Summary:	Development package for libplist++
Group:		Development/Libraries
Requires:	%{libnamecxx} = %{version}-%{release}
Provides:	%{name}++-devel = %{version}-%{release}

%description -n %{libnamecxxdev}
%{name}, C++ development headers and libraries.

#----------------------------------------------------------------------------

%package -n	python3-plist
Summary:	Python 3 bindings for libplist
Group:		Development/Python
BuildRequires:	python3-cython
BuildRequires:	python3-devel
%{?python_provide:%python_provide python3-plist}
Requires:	python3

%description -n python3-plist
%{name}, python3 libraries and support.

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
		--disable-static \
		PYTHON=%{__python3} \
		CYTHON=%{_bindir}/python3-cython

%make

#----------------------------------------------------------------------------

%install
rm -rf %buildroot
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

#----------------------------------------------------------------------------

%files
%{_bindir}/plistutil
%{_mandir}/man1/plistutil.1*

#----------------------------------------------------------------------------

%files -n %{libname}
%{_libdir}/%{name}-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%files -n %{libnamedev}
%dir %{_includedir}/plist
%{_includedir}/plist/*.h
%{_includedir}/plist/cython/
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/%{name}-%{api}.so

#----------------------------------------------------------------------------

%files -n %{libnamecxx}
%{_libdir}/%{name}++-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%files -n %{libnamecxxdev}
%{_libdir}/pkgconfig/%{name}++-%{api}.pc
%{_libdir}/%{name}++-%{api}.so

#----------------------------------------------------------------------------

%files -n python3-plist
%{python3_sitearch}/plist.so

%pre
rm -f /usr/lib64/libplist.so.3
rm -f /usr/lib64libplist.so.3.2.0 

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%post -n %{libnamecxx}
/sbin/ldconfig

%postun -n %{libnamecxx}
/sbin/ldconfig

%changelog
* Tue Jul 26 2022 TerryN <terryn94 at gmail.com> 2.2.0-5pclos2022
- rebuild for python 3.10

* Tue Jul 06 2021 tex - 2.2.0-4pclos2021
- fix rpm group

* Thu May 13 2021 tex - 2.2.0-3pclos2021
- rebuild against updates

* Wed May 05 2021 tex - 2.2.0-2pclos2021
- rebuild against updates

* Tue May 04 2021 tex - 2.2.0-1pclos2021
- new version
